OpenAFP-1.3.2: IBM AFP document format parser and generator

Portability | non-portable (GHC-only)
Stability | experimental
Maintainer | audreyt@audreyt.org
Safe Haskell | None

OpenAFP.Types.View

Description

Concrete data views on Chunks and Records.

# Documentation

type ChunksType = TypeRep

type RecordType = TypeRep

type NumberType = TypeRep

type NStrType = TypeRep

type StringType = TypeRep

type DataType = TypeRep

type FieldLabel = ByteString

data ViewRecord

Constructors

ViewRecord |
Fields vr_type :: !RecordType vr_field :: ![ViewField]

Instances

Show ViewRecord |
Typeable ViewRecord |

data ViewField

Constructors

ViewField |
Fields vf_label :: !FieldLabel vf_content :: !ViewContent

Instances

Show ViewField |
Typeable ViewField |

data ViewContent

Constructors

ViewNumber |
Fields vc_type :: !NumberType vc_number :: !Int
ViewString |
Fields vc_type :: !StringType vc_string :: !ByteString
ViewNStr |
Fields vc_type :: !NStrType vc_nstr :: !ByteString
ViewChunks |
Fields vc_type :: !ChunksType vc_chunks :: ![ViewRecord]
ViewData |
Fields vc_type :: !DataType vc_data :: ![ViewRecord]

Instances

Show ViewContent |
Typeable ViewContent |